pub struct Person {
    pub age: i32,
    pub name: String,
}

impl ToString for Person {
    /// # Examples
    ///
    /// ```
    /// use rust_tutorial::Person;
    ///
    /// let p = Person { age: 30, name: "Mary".to_string() };
    /// assert_eq!(p.to_string(), "Mary (30)");
    /// ```
    fn to_string(&self) -> String {
        format!("{} ({})", self.name, self.age)
    }
}

#[test]
fn test_example() {
    assert_eq!("a", "a");
}
